Update tool
Update tool metadata such as display name, description, or enabled state.
curl -X PATCH "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"display_name": "John Doe",
"description": "example_string",
"enabled": true
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"display_name": "John Doe",
"description": "example_string",
"enabled": true
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/mcp/tools/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"display_name": "John Doe",
"description": "example_string",
"enabled": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"display_name": "John Doe",
"description": "example_string",
"enabled": true
}`)
req, err := http.NewRequest("PATCH", "https://api.mythic-analytics.com/api/v1/mcp/tools/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/mcp/tools/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"display_name": "John Doe",
"description": "example_string",
"enabled": true
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"id": "tool_3xL7nBcD",
"server_id": "srv_5kN2mPqR",
"name": "query_analytics",
"display_name": "Query Analytics Data",
"description": "Execute analytics queries against client data.",
"enabled": true,
"input_schema": {},
"created_at": "2024-04-01T10:00:00.000Z"
}
}
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/mcp/tools/{id}Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Bearer YOUR_ADMIN_KEYAlternative to the Authorization header for server-to-server scenarios.
MCP tool identifier.
The media type of the request body
Custom display name override.
Custom description override.
Whether the tool is available for use.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Path Parameters
MCP tool identifier.
Body
Custom display name override.
Custom description override.
Whether the tool is available for use.
Responses
JSON Schema defining the tool's input parameters.
Last updated Feb 26, 2026
Built with Documentation.AI